Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Based_Pointer Class Template Reference

A smart proxy that keeps track of the relative offset of a "pointer" from its base address. More...

`#include <Based_Pointer_T.h>`

Inheritance diagram for ACE_Based_Pointer

[legend]
Collaboration diagram for ACE_Based_Pointer:

[legend]
List of all members.

## Public Methods
| ACE_Based_Pointer (void)
| Constructor. See constructor for for details.
| ACE_Based_Pointer (CONCRETE *initial)
| Initialize this object using the <initial> pointer. See constructor for for details.
| ACE_Based_Pointer (const void *base_addr, int dummy)
| Initialize this object with known <base_addr>. <dummy> is a dummy value used to resolve overload ambiguity and it otherwise ignored.
| ACE_Based_Pointer (const ACE_Based_Pointer<CONCRETE> &)
| Copy constructor (not implemented yet).
void | operator= (const ACE_Based_Pointer<CONCRETE> &)
| Assignment operator.
void | operator= (CONCRETE *from)
| Pseudo-assignment operator.
CONCRETE* | operator-> (void)
| The C++ "delegation operator".

## Detailed Description

### template<class CONCRETE> template class ACE_Based_Pointer

A smart proxy that keeps track of the relative offset of a "pointer" from its base address.

This class makes it possible to transparently use "pointers" in shared memory as easily as programming with pointers to local memory by overloading the C++ delegation operator->().

## Constructor & Destructor Documentation

template<classCONCRETE>
ACE_Based_Pointer<CONCRETE>::ACE_Based_Pointer<CONCRETE> ( | void )

| Constructor. See constructor for for details.

template<classCONCRETE>
ACE_Based_Pointer<CONCRETE>::ACE_Based_Pointer<CONCRETE> ( | CONCRETE * initial )

| Initialize this object using the <initial> pointer. See constructor for for details.

template<classCONCRETE>
ACE_Based_Pointer<CONCRETE>::ACE_Based_Pointer<CONCRETE> ( | const void * base_addr,
| int dummy )

| Initialize this object with known <base_addr>. <dummy> is a dummy value used to resolve overload ambiguity and it otherwise ignored.

template<classCONCRETE>
ACE_Based_Pointer<CONCRETE>::ACE_Based_Pointer<CONCRETE> ( | const ACE_Based_Pointer< CONCRETE >& rhs )

| Copy constructor (not implemented yet).

## Member Function Documentation

template<classCONCRETE>
ACE_INLINE CONCRETE * ACE_Based_Pointer< CONCRETE >::operator-> ( | void )

| The C++ "delegation operator".

template<classCONCRETE>
ACE_INLINE void ACE_Based_Pointer< CONCRETE >::operator= ( | CONCRETE * rhs )

| Pseudo-assignment operator. Reimplemented from ACE_Based_Pointer_Basic.

template<classCONCRETE>
ACE_INLINE void ACE_Based_Pointer< CONCRETE >::operator= ( | const ACE_Based_Pointer< CONCRETE >& rhs )

| Assignment operator.

The documentation for this class was generated from the following files:

- Based_Pointer_T.h
- Based_Pointer_T.cpp
- Based_Pointer_T.i